Index: cprs/trunk/CPRS-Chart/fNotes.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/fNotes.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/fNotes.dfm	(revision 830)
@@ -1,30 +1,36 @@
 inherited frmNotes: TfrmNotes
-  Left = 307
-  Top = 177
-  Width = 687
-  Height = 409
+  Left = 402
+  Top = 171
   HelpContext = 5000
   Caption = 'Progress Notes Page'
+  ClientHeight = 394
+  ClientWidth = 679
   HelpFile = 'overvw'
-  KeyPreview = True
   Menu = mnuNotes
   OnDestroy = FormDestroy
   OnHide = FormHide
-  OnMouseMove = FormMouseMove
   OnShow = FormShow
+  ExplicitWidth = 687
+  ExplicitHeight = 440
   PixelsPerInch = 96
   TextHeight = 13
   inherited shpPageBottom: TShape
-    Top = 358
+    Top = 389
     Width = 679
+    ExplicitTop = 358
+    ExplicitWidth = 679
   end
   inherited sptHorz: TSplitter
     Left = 64
-    Height = 358
+    Height = 389
     OnCanResize = sptHorzCanResize
+    ExplicitLeft = 64
+    ExplicitHeight = 358
   end
   inherited pnlLeft: TPanel
     Width = 64
-    Height = 358
+    Height = 389
+    ExplicitWidth = 64
+    ExplicitHeight = 389
     object lblNotes: TOROffsetLabel
       Left = 0
@@ -43,5 +49,5 @@
     object lblSpace1: TLabel
       Left = 0
-      Top = 313
+      Top = 344
       Width = 64
       Height = 3
@@ -49,22 +55,23 @@
       AutoSize = False
       Caption = ' '
+      ExplicitTop = 313
     end
     object cmdNewNote: TORAlignButton
       Left = 0
-      Top = 316
+      Top = 347
       Width = 64
       Height = 21
+      Align = alBottom
       Caption = 'New Note'
       TabOrder = 1
       OnClick = cmdNewNoteClick
       OnExit = cmdNewNoteExit
-      OnMouseMove = FormMouseMove
-      Align = alBottom
     end
     object cmdPCE: TORAlignButton
       Left = 0
-      Top = 337
+      Top = 368
       Width = 64
       Height = 21
+      Align = alBottom
       Caption = 'Encounter'
       TabOrder = 2
@@ -72,6 +79,4 @@
       OnClick = cmdPCEClick
       OnExit = cmdPCEExit
-      OnMouseMove = FormMouseMove
-      Align = alBottom
     end
     object pnlDrawers: TPanel
@@ -79,5 +84,5 @@
       Top = 19
       Width = 64
-      Height = 294
+      Height = 325
       Align = alClient
       BevelOuter = bvNone
@@ -85,9 +90,10 @@
       object splDrawers: TSplitter
         Left = 0
-        Top = 291
+        Top = 322
         Width = 64
         Height = 3
         Cursor = crVSplit
         Align = alBottom
+        ExplicitTop = 291
       end
       object lstNotes: TORListBox
@@ -115,22 +121,21 @@
         Top = 0
         Width = 64
-        Height = 291
+        Height = 322
         Align = alClient
         Constraints.MinWidth = 30
         HideSelection = False
+        Images = dmodShared.imgNotes
         Indent = 19
         PopupMenu = popNoteList
         ReadOnly = True
+        StateImages = dmodShared.imgImages
         TabOrder = 1
-        OnAddition = tvNotesAddition
         OnChange = tvNotesChange
         OnClick = tvNotesClick
         OnCollapsed = tvNotesCollapsed
-        OnDeletion = tvNotesDeletion
         OnDragDrop = tvNotesDragDrop
         OnDragOver = tvNotesDragOver
         OnExit = tvNotesExit
         OnExpanded = tvNotesExpanded
-        OnMouseMove = FormMouseMove
         OnStartDrag = tvNotesStartDrag
         Caption = 'Last 100 Notes'
@@ -143,16 +148,20 @@
     Left = 68
     Width = 611
-    Height = 358
+    Height = 389
+    ExplicitLeft = 68
+    ExplicitWidth = 611
+    ExplicitHeight = 389
     object sptVert: TSplitter
       Left = 0
-      Top = 309
+      Top = 340
       Width = 611
       Height = 4
       Cursor = crVSplit
       Align = alBottom
+      ExplicitTop = 309
     end
     object memPCEShow: TRichEdit
       Left = 0
-      Top = 313
+      Top = 344
       Width = 611
       Height = 45
@@ -171,5 +180,5 @@
       Top = 0
       Width = 611
-      Height = 309
+      Height = 340
       Align = alClient
       BevelOuter = bvNone
@@ -181,5 +190,5 @@
         Top = 67
         Width = 611
-        Height = 242
+        Height = 273
         Align = alClient
         Font.Charset = DEFAULT_CHARSET
@@ -301,5 +310,4 @@
           Width = 58
           Height = 21
-          Anchors = [akTop, akRight]
           Caption = 'Change...'
           TabOrder = 0
@@ -327,5 +335,5 @@
       Top = 0
       Width = 611
-      Height = 309
+      Height = 340
       Align = alClient
       BevelOuter = bvNone
@@ -356,5 +364,5 @@
         Top = 116
         Width = 611
-        Height = 193
+        Height = 224
         Align = alClient
         Color = clCream
@@ -377,5 +385,4 @@
         TabOrder = 1
         WordWrap = False
-        OnMouseMove = FormMouseMove
       end
       object lvNotes: TCaptionListView
@@ -418,4 +425,6 @@
         ReadOnly = True
         RowSelect = True
+        SmallImages = dmodShared.imgNotes
+        StateImages = dmodShared.imgImages
         TabOrder = 0
         ViewStyle = vsReport
@@ -423,5 +432,4 @@
         OnColumnClick = lvNotesColumnClick
         OnCompare = lvNotesCompare
-        OnMouseMove = FormMouseMove
         OnResize = lvNotesResize
         OnSelectItem = lvNotesSelectItem
@@ -429,4 +437,77 @@
       end
     end
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = cmdNewNote'
+        'Status = stsDefault')
+      (
+        'Component = cmdPCE'
+        'Status = stsDefault')
+      (
+        'Component = pnlDrawers'
+        'Status = stsDefault')
+      (
+        'Component = lstNotes'
+        'Status = stsDefault')
+      (
+        'Component = tvNotes'
+        'Status = stsDefault')
+      (
+        'Component = memPCEShow'
+        'Text = Encounter Information'
+        'Status = stsOK')
+      (
+        'Component = pnlWrite'
+        'Status = stsDefault')
+      (
+        'Component = memNewNote'
+        'Status = stsDefault')
+      (
+        'Component = pnlFields'
+        'Status = stsDefault')
+      (
+        'Component = lblRefDate'
+        'Status = stsDefault')
+      (
+        'Component = lblAuthor'
+        'Status = stsDefault')
+      (
+        'Component = lblVisit'
+        'Status = stsDefault')
+      (
+        'Component = lblCosigner'
+        'Status = stsDefault')
+      (
+        'Component = lblSubject'
+        'Status = stsDefault')
+      (
+        'Component = lblNewTitle'
+        'Status = stsDefault')
+      (
+        'Component = cmdChange'
+        'Status = stsDefault')
+      (
+        'Component = txtSubject'
+        'Status = stsDefault')
+      (
+        'Component = pnlRead'
+        'Status = stsDefault')
+      (
+        'Component = memNote'
+        'Status = stsDefault')
+      (
+        'Component = lvNotes'
+        'Status = stsDefault')
+      (
+        'Component = pnlLeft'
+        'Status = stsDefault')
+      (
+        'Component = pnlRight'
+        'Status = stsDefault')
+      (
+        'Component = frmNotes'
+        'Status = stsDefault'))
   end
   object mnuNotes: TMainMenu
@@ -640,4 +721,9 @@
         OnClick = mnuActDetachFromIDParentClick
       end
+      object mnuEncounter: TMenuItem
+        Caption = 'Encounte&r'
+        ShortCut = 24658
+        OnClick = cmdPCEClick
+      end
       object Z4: TMenuItem
         Caption = '-'
@@ -834,4 +920,9 @@
       OnClick = cmdPCEClick
     end
+    object popNoteMemoViewCslt: TMenuItem
+      Caption = 'View Consult Details'
+      ShortCut = 24661
+      OnClick = popNoteMemoViewCsltClick
+    end
   end
   object popNoteList: TPopupMenu
@@ -928,3 +1019,29 @@
     Top = 312
   end
+  object imgLblNotes: TVA508ImageListLabeler
+    Components = <
+      item
+        Component = lvNotes
+      end
+      item
+        Component = tvNotes
+      end>
+    Labels = <>
+    RemoteLabeler = dmodShared.imgLblNotes
+    Left = 16
+    Top = 195
+  end
+  object imgLblImages: TVA508ImageListLabeler
+    Components = <
+      item
+        Component = lvNotes
+      end
+      item
+        Component = tvNotes
+      end>
+    Labels = <>
+    RemoteLabeler = dmodShared.imgLblImages
+    Left = 16
+    Top = 235
+  end
 end
